<?php
namespace Claromentis\Design\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_a591754a8ddcdbda9c8" . "0f1db4d911e14" => base64_decode("aXNfbn" . "VsbA=="));
use Claromentis\Design\Facade\AssetsStorage;




class StyleAsset
{
    protected $name_to_save;
    protected $tmp_file_path;
    protected $saved_url;
    public function __construct($_385398efdeb0edcbebf192d26d027dcb, $_6242828af883167877ba565400e3e93b)
    {
        $this->name_to_save = $_385398efdeb0edcbebf192d26d027dcb;
        $this->tmp_file_path = $_6242828af883167877ba565400e3e93b;
        $this->saved_url = null;
    }
    public function SaveTo(AssetsStorage $storage)
    {
        if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a591754a8ddcdbda9c80f1d" . "b4d911e14"]($this->saved_url)) {
            return $this->saved_url;
        }
        if (empty($this->tmp_file_path)) {
            return null;
        }
        $url = $storage->AddFile($this->tmp_file_path, $this->name_to_save);
        $this->saved_url = $url;
        $this->tmp_file_path = null;
        return $url;
    }
    
    
    
    
    
    
    public function GetTemporaryFilePath()
    {
        return $this->tmp_file_path;
    }
}